API DocumentationManufacturer customer organisation controller
Delete a customer organization
DELETE
Soft deletes a customer organization and hard deletes all contained customers
Phasio API Bearer Tokenheader
AuthorizationBearer <token>organisationId*integerFormat
int64Organization deleted successfully
*/*- response
id*integerFormat
int64hasCustomPricing*booleanname?stringcompanyName?stringtaxExempt*booleanisApproved*booleancustomerType*stringpaymentTerm?incoterm?stringValue in
"EXW""FCA""CPT""CIP""DAP""DPU""DDP""FAS""FOB""CFR""CIF"createdAt*stringFormat
date-timeupdateDt*stringFormat
date-timecustomers*array<>addresses*array<|>encryptionKeyId?stringfirstTouchSource?stringlanguage?stringaccountingSystemId?stringdeleted*booleanmetadata*array<>defaultSchedulePriority*integerFormat
int32curl -X DELETE 'https://m-api.eu.phas.io/api/manufacturer/v1/organisation/0'{ "id": 0, "hasCustomPricing": true, "name": "string", "companyName": "string", "taxExempt": true, "isApproved": true, "customerType": "string", "paymentTerm": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "accountingSystemTermId": "string" }, "incoterm": "EXW", "createdAt": "2019-08-24T14:15:22Z", "updateDt": "2019-08-24T14:15:22Z", "customers": [ { "email": "string", "customerId": 0, "organisationId": 0, "organisationName": "string", "isApproved": true, "firstName": "string", "lastName": "string", "phoneNumber": "string", "notificationPreference": "string", "discountId": 0, "discountPercentage": 0, "language": "string" } ], "addresses": [ { "addressId": 0, "isBillingAddress": true, "isShippingAddress": true, "street1": "string", "street2": "string", "city": "string", "state": "string", "country": "string", "countryAlpha2Code": "string", "countryAlpha3Code": "string", "jurisdictionIsoCode": "string", "zip": "string", "name": "string", "company": "string", "phone": "string", "email": "string", "residential": true, "addressType": "string", "isDeleted": true, "taxId": "string" } ], "encryptionKeyId": "string", "firstTouchSource": "string", "language": "string", "accountingSystemId": "string", "deleted": true, "metadata": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "metadataKey": "string", "value": "string" } ], "defaultSchedulePriority": 0}Last updated on